com.sun.grid.jgdi.configuration

## Class EventImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.EventImpl

- All Implemented Interfaces:
    Event, GEObject, java.io.Serializable, java.lang.Cloneable

      public class EventImpl
      extends GEObjectImpl
      implements Event

  Java representation of the cull object ET_Type defined in sge_all_listsL.template

  Warning: The EventImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventImpl()` Create a new instance of EventImpl.
    `EventImpl(boolean initWithDefaultValues)` Create a new instanceof

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `int` | `getIntkey()` Get the value of the intkey attribute.
    `int` | `getIntkey2()` Get the value of the intkey2 attribute.
    `int` | `getNumber()` Get the value of the number attribute.
    `java.lang.String` | `getStrkey()` Get the value of the strkey attribute.
    `java.lang.String` | `getStrkey2()` Get the value of the strkey2 attribute.
    `int` | `getTimestamp()` Get the value of the timestamp attribute.
    `int` | `getType()` Get the value of the type attribute.
    `boolean` | `isSetIntkey()` Determine if the intkey attribute is set
    `boolean` | `isSetIntkey2()` Determine if the intkey2 attribute is set
    `boolean` | `isSetNumber()` Determine if the number attribute is set
    `boolean` | `isSetStrkey()` Determine if the strkey attribute is set
    `boolean` | `isSetStrkey2()` Determine if the strkey2 attribute is set
    `boolean` | `isSetTimestamp()` Determine if the timestamp attribute is set
    `boolean` | `isSetType()` Determine if the type attribute is set
    `void` | `setIntkey(int aIntkey)` Set the intkey attribute.
    `void` | `setIntkey2(int aIntkey2)` Set the intkey2 attribute.
    `void` | `setNumber(int aNumber)` Set the number attribute.
    `void` | `setStrkey(java.lang.String aStrkey)` Set the strkey attribute.
    `void` | `setStrkey2(java.lang.String aStrkey2)` Set the strkey2 attribute.
    `void` | `setTimestamp(int aTimestamp)` Set the timestamp attribute.
    `void` | `setType(int aType)` Set the type attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### EventImpl

          public EventImpl()

      Create a new instance of EventImpl. The new instance will not be initialized with the default values.

    - #### EventImpl

          public EventImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

  - ### Method Detail

    - #### isSetNumber

          public boolean isSetNumber()

      Determine if the number attribute is set
      Specified by:
        `isSetNumber` in interface `Event`
      Returns:
        `true` if the number attribute is set

    - #### setNumber

          public void setNumber(int aNumber)

      Set the number attribute.
      Specified by:
        `setNumber` in interface `Event`
      Parameters:
        `aNumber` - the new value for the number attribute

    - #### getNumber

          public int getNumber()

      Get the value of the number attribute.
      Specified by:
        `getNumber` in interface `Event`
      Returns:
        the value of the number attribute

    - #### isSetTimestamp

          public boolean isSetTimestamp()

      Determine if the timestamp attribute is set
      Specified by:
        `isSetTimestamp` in interface `Event`
      Returns:
        `true` if the timestamp attribute is set

    - #### setTimestamp

          public void setTimestamp(int aTimestamp)

      Set the timestamp attribute.
      Specified by:
        `setTimestamp` in interface `Event`
      Parameters:
        `aTimestamp` - the new value for the timestamp attribute

    - #### getTimestamp

          public int getTimestamp()

      Get the value of the timestamp attribute.
      Specified by:
        `getTimestamp` in interface `Event`
      Returns:
        the value of the timestamp attribute

    - #### isSetType

          public boolean isSetType()

      Determine if the type attribute is set
      Specified by:
        `isSetType` in interface `Event`
      Returns:
        `true` if the type attribute is set

    - #### setType

          public void setType(int aType)

      Set the type attribute.
      Specified by:
        `setType` in interface `Event`
      Parameters:
        `aType` - the new value for the type attribute

    - #### getType

          public int getType()

      Get the value of the type attribute.
      Specified by:
        `getType` in interface `Event`
      Returns:
        the value of the type attribute

    - #### isSetIntkey

          public boolean isSetIntkey()

      Determine if the intkey attribute is set
      Specified by:
        `isSetIntkey` in interface `Event`
      Returns:
        `true` if the intkey attribute is set

    - #### setIntkey

          public void setIntkey(int aIntkey)

      Set the intkey attribute.
      Specified by:
        `setIntkey` in interface `Event`
      Parameters:
        `aIntkey` - the new value for the intkey attribute

    - #### getIntkey

          public int getIntkey()

      Get the value of the intkey attribute.
      Specified by:
        `getIntkey` in interface `Event`
      Returns:
        the value of the intkey attribute

    - #### isSetIntkey2

          public boolean isSetIntkey2()

      Determine if the intkey2 attribute is set
      Specified by:
        `isSetIntkey2` in interface `Event`
      Returns:
        `true` if the intkey2 attribute is set

    - #### setIntkey2

          public void setIntkey2(int aIntkey2)

      Set the intkey2 attribute.
      Specified by:
        `setIntkey2` in interface `Event`
      Parameters:
        `aIntkey2` - the new value for the intkey2 attribute

    - #### getIntkey2

          public int getIntkey2()

      Get the value of the intkey2 attribute.
      Specified by:
        `getIntkey2` in interface `Event`
      Returns:
        the value of the intkey2 attribute

    - #### isSetStrkey

          public boolean isSetStrkey()

      Determine if the strkey attribute is set
      Specified by:
        `isSetStrkey` in interface `Event`
      Returns:
        `true` if the strkey attribute is set

    - #### setStrkey

          public void setStrkey(java.lang.String aStrkey)

      Set the strkey attribute.
      Specified by:
        `setStrkey` in interface `Event`
      Parameters:
        `aStrkey` - the new value for the strkey attribute

    - #### getStrkey

          public java.lang.String getStrkey()

      Get the value of the strkey attribute.
      Specified by:
        `getStrkey` in interface `Event`
      Returns:
        the value of the strkey attribute

    - #### isSetStrkey2

          public boolean isSetStrkey2()

      Determine if the strkey2 attribute is set
      Specified by:
        `isSetStrkey2` in interface `Event`
      Returns:
        `true` if the strkey2 attribute is set

    - #### setStrkey2

          public void setStrkey2(java.lang.String aStrkey2)

      Set the strkey2 attribute.
      Specified by:
        `setStrkey2` in interface `Event`
      Parameters:
        `aStrkey2` - the new value for the strkey2 attribute

    - #### getStrkey2

          public java.lang.String getStrkey2()

      Get the value of the strkey2 attribute.
      Specified by:
        `getStrkey2` in interface `Event`
      Returns:
        the value of the strkey2 attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `Event`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.